LibreOffice LibreOffice 7.2 SDK API Reference

List of all members
ShapeCollection Service Referencepublished

This service describes a generic container to manage collections of Shape. More...

`import"ShapeCollection.idl";`

Inheritance diagram for ShapeCollection:

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service describes a generic container to manage collections of Shape.

The Shape that are added to this collection are not owned by the collection.

This service is used by the view f.e. to return a collection of Shape that are selected at the ui.

Developers Guide
  Drawings - Grouping, Combining and Binding

The documentation for this service was generated from the following file:

- com/sun/star/drawing/ShapeCollection.idl